Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.examples.genetic
Class TstGeneticFunction3

    java.lang.Object
      com.ibm.able.beans.AbleGeneticObject
          com.ibm.able.examples.genetic.TstGeneticFunction3

All Implemented Interfaces:
  java.io.Serializable

public class TstGeneticFunction3
extends AbleGeneticObject

This class shows an example of optimizing input parameters for neural networks

See Also:
  Serialized Form

Field Summary
`static double` | `factor`
`protected static long` | `serialVersionUID` Serialized version identifier in form YYYYMMDDVerRelModxx

Fields inherited from class com.ibm.able.beans.AbleGeneticObject
`chromosome, chromosomeLength, chromosomeType, crossoverRate, evaluationAgent, fitness, fitnessComputed, member, mutationRate, normalizedFitness, searchAgent, vocabulary`

Constructor Summary
`TstGeneticFunction3()`

Method Summary
`double` | `computeFitness()` just add up the number of ones in the chromosome
`double` | `getFitness()` return the fitness value for this member Note: use computeFitness() to do the computation
`void` | `initBean(AbleAgent evalAgent)`
`AbleAgent` | `initEvaluationAgent()` return the special EvaluationAgent (if any) Note: this should only get called once by the search agent

Methods inherited from class com.ibm.able.beans.AbleGeneticObject
`binaryToInteger, generateRandomChromosome, getBean, getChromosome, getChromosomeLength, getChromosomeType, getCrossoverRate, getMutationRate, getNormalizedFitness, getOperatorFitness, getRandomChromosome, getVocabulary, initBean, mutate, mutateChromosome, onePointCrossover, onePointCrossoverAndMutate, registerOperators, removeBean, setChromosome, setCrossoverRate, setEvaluationAgent, setMutationRate, setNormalizedFitness, toString, twoPointCrossover, uniformCrossover`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    protected static final long serialVersionUID

  Serialized version identifier in form YYYYMMDDVerRelModxx

  See Also:
    Constant Field Values

### factor

    public static final double factor

See Also:
  Constant Field Values

Constructor Detail

### TstGeneticFunction3

    public TstGeneticFunction3()

Method Detail

### initEvaluationAgent

    public AbleAgent initEvaluationAgent()

  Description copied from class: `AbleGeneticObject`
  return the special EvaluationAgent (if any) Note: this should only get called once by the search agent

  Overrides:
    `initEvaluationAgent` in class `AbleGeneticObject`

### initBean

    public void initBean(AbleAgent evalAgent)

### getFitness

    public double getFitness()

  Description copied from class: `AbleGeneticObject`
  return the fitness value for this member Note: use computeFitness() to do the computation

  Overrides:
    `getFitness` in class `AbleGeneticObject`

### computeFitness

    public double computeFitness()

  just add up the number of ones in the chromosome

  Overrides:
    `computeFitness` in class `AbleGeneticObject`
  Returns:
    the fitness value for this population member

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005